<template>
  <header id="header" :class="{ change: ActiveBtn }">
    <div id="navbarMenu" class="navbar navbar-expand-md navbar-light bg-light">
      <div class="logo">
        <img src="@/assets/sunflower.svg" />
        <p class="sunfolower">Arevatsaghik</p>
      </div>
      <div class="rhead">
        <input class="menu-btn" type="checkbox" id="menu-btn" name="menu-btn" />
        <label @click="btmMenu" class="menu-icon navbar-toggler" for="menu-btn">
          <span class="navicon" />
        </label>
        <div class="auth collapse navbar-collapse" id="navbarNavDropdown">
          <div class="signin">
            <a href="/login">Log In</a>
          </div>
          <div class="signin">
            <a href="/signin">Sign Up</a>
          </div>
        </div>
      </div>
    </div>
    <MobMenu v-if="ActiveBtn" :showMobLinks="ActiveBtn" />
  </header>
</template>
<script>
import MobMenu from "./mobMenu.vue";
export default {
  components: {
    MobMenu,
  },
  data() {
    return {
      ActiveBtn: false,
    };
  },
  methods: {
    btmMenu() {
      this.ActiveBtn = !this.ActiveBtn;
      this.$emit("activeBtn", this.ActiveBtn);
      document.body.classList.toggle("stop-scroll");
    },
  },
};
</script>
<style lang="scss">
@import "header.scss";
.stop-scroll {
  overflow: hidden;
}
</style>